#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for Cheetah 2.0.1 / 2.4.2

config = {

"template" : """\
#filter WebSafe
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | $title</title>
</head>

<body>
    <h1>Benchsimple | ${title}</h1>
    <ul id="nav">
    #for $n,$item in enumerate($navigation)
        <li><a href="${item.href, also="'\\""}" id="btn-${n+1}">${item.caption}</a></li>
    #end for
    </ul>

    <table>
    #for $n,$row in enumerate($table)
        <tr class="#if $n%2 #row2#else #row1#end if#">
        #for $col in $row
            <td#if $col==$highlight# class="red"#end if#>$col</td>
        #end for
        </tr>
    #end for
    </table>

</body>
</html>
#end filter
""",

"module"   : "Cheetah",
"import"   : "from Cheetah.Template import Template",
"complete" : "t = Template(template, context_dict); r = unicode(t)",
"parse"    : "tclass = Template.compile(template)",
"render"   : "t = tclass(namespaces=context_dict); r = unicode(t)"
}

#-----------------------------------------

