#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for evoque

config = {

"template" : """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | ${title}</title>
</head>

<body>
    <h1>Benchsimple | ${title}</h1>
    <ul id="nav">
    $for{n,item in enumerate(navigation)}\
    <li><a href="${item["href"]}" id="btn-${n+1}">${item["caption"]}</a></li>
    $rof
    </ul>

    <table>
    $for{n,row in enumerate(table)}\
    <tr class="$if{n%2}row2$elserow1$fi">
        $for{col in row}\
    <td$if{col==highlight} class="red"$fi>${col}</td>
        $rof
        </tr>
    $rof
    </table>

</body>
</html>
""",

"module"   : "evoque",
"import"   : "from evoque.template import Template",
"complete" : 't = Template("/","", src=template, from_string=True); r = t.evoque(**context_dict)',
"parse"    : 't = Template("/","", src=template, from_string=True)',
"render"   : "r = t.evoque(**context_dict)"
}

#-----------------------------------------

