#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for Genshi XML

config = {

"template" : """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns:py="http://genshi.edgewall.org/">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | ${title}</title>
</head>

<body>
    <h1>Benchsimple | ${title}</h1>
    <ul id="nav">
        <py:for each="n,item in enumerate(navigation)">
        <li><a href="${item.href}" id="btn-${n+1}" py:content="item.caption"></a></li>
        </py:for>
    </ul>

    <table>
        <py:for each="n, row in enumerate(table)">
        <py:choose test="n%2">
        <tr py:when="1" class="row2">
          <py:for each="col in row">
            <py:choose test="col">
            <td py:when="highlight" class="red" py:content="col"></td>
            <td py:otherwise="" py:content="col"></td>
            </py:choose>
          </py:for>
        </tr>
        <tr py:otherwise="" class="row1">
          <py:for each="col in row">
            <py:choose test="col">
            <td py:when="highlight" class="red" py:content="col"></td>
            <td py:otherwise="" py:content="col"></td>
            </py:choose>
          </py:for>
        </tr>
        </py:choose>
        </py:for>
    </table>

</body>
</html>
""",

"module"   : "genshi",
"import"   : 'from genshi.template import MarkupTemplate;',
"complete" : 'tmpl = MarkupTemplate(template); stream = tmpl.generate(**context_dict); r = stream.render("html")',
"parse"    : 'tmpl = MarkupTemplate(template)',
"render"   : 'stream = tmpl.generate(**context_dict); r = stream.render("html")'
}

#-----------------------------------------

