#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for Jinja 0.7

config = {

"template" : """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | {{ title|escapexml }}</title>
</head>

<body>
    <h1>Benchsimple | {{ title|escapexml }}</h1>
    <ul id="nav">
{**}{% for item in navigation %}{*
*}        <li><a href="{{ item.href|escapexml }}" id="btn-{{ loop.counter }}">{{ item.caption|escapexml }}</a></li>
{**}{% endfor %}{*
*}    </ul>

    <table>
{**}{% for row in table %}{*
*}        <tr class="{% cycle 'row1', 'row2' inline %}">
{*    *}{% for col in row %}{*
*}            <td>{{ col|escapexml }}</td>
{*    *}{% endfor %}{*
*}        </tr>
{**}{% endfor %}{*
*}    </table>

</body>
</html>
""",

"module"   : "jinja",
"import"   : "from jinja import Template, Context, StringLoader",
"complete" : "t = Template(template, StringLoader()); c = Context(context_dict); r = t.render(c)",
"parse"    : "t = Template(template, StringLoader())",
"render"   : "c = Context(context_dict); r = t.render(c)"
}

#-----------------------------------------

