#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for Jinja 0.7

config = {

"template" : """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | {{ title|escape(True) }}</title>
</head>

<body>
    <h1>Benchsimple | {{ title|escape(True) }}</h1>
    <ul id="nav">
    {%- for item in navigation %}
        <li><a href="{{ item.href|escape(True) }}" id="btn-{{ loop.index }}">{{ item.caption|escape(True) }}</a></li>
    {%- endfor %}
    </ul>

    <table>
    {%- for row in table %}
        <tr class="{% cycle 'row1', 'row2' %}">
        {%- for col in row %}
            <td{% if col==highlight %} class="red"{% endif %}>{{ col|escape(True) }}</td>
        {%- endfor %}
        </tr>
    {%- endfor %}
    </table>

</body>
</html>
""",

"module"   : "jinja",
"import"   : "from jinja import from_string",
"complete" : "t = from_string(template); r = t.render(**context_dict)",
"parse"    : "t = from_string(template)",
"render"   : "r = t.render(**context_dict)"
}

#-----------------------------------------

