#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for Jinja 0.7

config = {

"template" : """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | {{ title|e }}</title>
</head>

<body>
    <h1>Benchsimple | {{ title|e }}</h1>
    <ul id="nav">
    {%- for item in navigation %}
        <li><a href="{{ item.href|e }}" id="btn-{{ loop.index }}">{{ item.caption|e }}</a></li>
    {%- endfor %}
    </ul>

    <table>
    {%- for row in table %}
        <tr class="{{ loop.cycle('row1', 'row2') }}">
        {%- for col in row %}
            <td{% if col==highlight %} class="red"{% endif %}>{{ col|e }}</td>
        {%- endfor %}
        </tr>
    {%- endfor %}
    </table>

</body>
</html>

""",

"module"   : "jinja2",
"import"   : "from jinja2 import Environment, BaseLoader",
"complete" : "env = Environment(loader=BaseLoader()); t = env.from_string(template); r = t.render(**context_dict)",
"parse"    : "env = Environment(loader=BaseLoader()); t = env.from_string(template)",
"render"   : "r = t.render(**context_dict)"
}

#-----------------------------------------

