#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for Kajiki text

config = {

"template" : """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | ${title}</title>
</head>

<body>
    <h1>Benchsimple | ${title}</h1>

    <ul id="nav">
    %for n,item in enumerate(navigation)
        <li><a href="${item['href']}" id="btn-${n+1}">${item['caption']}</a></li>
    %end
    </ul>

    <table>
    %for n, row in enumerate(table)
        <tr class="{%if n%2%}row2{%else%}row1{%end%}">
        %for col in row
            <td{%if col==highlight%} class="red"{%end%}>$col</td>
        %end
        </tr>
    %end
    </table>


</body>
</html>
""",

"module"   : "kajiki",
"import"   : 'import kajiki',
"complete" : 'tmpl = kajiki.TextTemplate(template); r = tmpl(context_dict).render()',
"parse"    : 'tmpl = kajiki.TextTemplate(template)',
"render"   : 'r = tmpl(context_dict).render()'
}

#-----------------------------------------

