#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for Kajiki XML

config = {

"template" : """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | ${title}</title>
</head>

<body>

    <h1>Benchsimple | ${title}</h1>
    <ul id="nav">
        <li py:for="n,item in enumerate(navigation)"><a href="${item['href']}" id="btn-${n+1}">${item['caption']}</a>
        </li>
    </ul>

    <table>
        <py:for each="n, row in enumerate(table)">
        <py:switch test="n%2">
        <tr py:case="1" class="row2">
          <py:for each="col in row">
            <py:switch test="col">
            <td py:case="highlight" class="red" py:content="col"></td>
            <td py:else="" py:content="col"></td>
            </py:switch>
          </py:for>
        </tr>
        <tr py:else="" class="row1">
          <py:for each="col in row">
            <py:switch test="col">
            <td py:case="highlight" class="red" py:content="col"></td>
            <td py:else="" py:content="col"></td>
            </py:switch>
          </py:for>
        </tr>
        </py:switch>
        </py:for>
    </table>

</body>
</html>
""",

"module"   : "kajiki",
"import"   : 'import kajiki',
"complete" : 'tmpl = kajiki.XMLTemplate(template); r = tmpl(context_dict).render()',
"parse"    : 'tmpl = kajiki.XMLTemplate(template)',
"render"   : 'r = tmpl(context_dict).render()'
}

#-----------------------------------------

