#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for Mako

config = {

"template" : """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | ${title|h}</title>
</head>

<body>
    <h1>Benchsimple | ${title|h}</h1>
    <ul id="nav">
    % for n,item in enumerate(navigation):
        <li><a href="${item["href"]|h}" id="btn-${n+1}">${item["caption"]|h}</a></li>
    % endfor
    </ul>

    <table>
    % for n,row in enumerate(table):
        <tr class="\\
        % if n%2:
row2\\
        % else:
row1\\
        % endif
">
        % for col in row:
            <td\\
        % if col==33:
 class="red"\\
        % endif
>${col|h}</td>
        % endfor
        </tr>
    % endfor
    </table>

</body>
</html>
""",

"module"   : "mako",
"import"   : "from mako.template import Template",
"complete" : "t = Template(template); r = t.render(**context_dict)",
"parse"    : "t = Template(template)",
"render"   : "r = t.render(**context_dict)"
}

#-----------------------------------------

