#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for SimpleTal

dummywriter = """
output=[]
class dummy:
    def write(self, _):
        output.append(_)
        pass
dummywriter = dummy()
"""

config = {

"template" : """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title tal:content="string:Benchsimple | ${title}"></title>
</head>

<body>
    <h1 tal:content="string:Benchsimple | ${title}"></h1>
    <ul id="nav"><div tal:repeat="data navigation" tal:omit-tag="">
        <li><a tal:attributes="href data/href;id string:btn-${'repeat/data/number'}" tal:content="data/caption" href="" id=""></a></li></div>
    </ul>

    <table><div tal:repeat="row table" tal:omit-tag="">
        <tr tal:define="odd repeat/row/odd" tal:attributes="class python:str(test(odd, 'row2', 'row1'))"><div tal:omit-tag="" tal:repeat="col row">
            <td tal:condition="python:col==highlight" class="red" tal:content="col"></td><td tal:condition="python:col!=highlight" tal:content="col"></td></div>
        </tr></div>
    </table>

</body>
</html>
""",

"module"   : "simpletal",
"import"   : "from simpletal import simpleTAL, simpleTALES" + dummywriter,
"complete" : """
output = []
context = simpleTALES.Context(allowPythonPath=True)
context.globals.update(context_dict)
t = simpleTAL.compileHTMLTemplate(template)
t.expand(context, dummywriter)
r = "".join(output)""",

"parse"    : "t = simpleTAL.compileHTMLTemplate(template)",
"render"   : """
output = []
context = simpleTALES.Context(allowPythonPath=True)
context.globals.update(context_dict)
t.expand(context, dummywriter)
r = "".join(output)
"""
}

#-----------------------------------------

